SqlToolError (HSQLDB 2.7.2 API)

Module org.hsqldb.sqltool
Package org.hsqldb.cmdline

## Class SqlToolError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.hsqldb.cmdline.libclone.AppendableException
      - - org.hsqldb.cmdline.SqlToolError

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SqlToolError
      extends org.hsqldb.cmdline.libclone.AppendableException

  Exceptions thrown by the SqlTool system externally to SqlFile. (As opposed to the nested Exceptions within those classes). This class is misnamed, because it is not only errors. When there is time, this file and class should be renamed.

  This class has a misleading name and should really be renamed. It is Java Exception, not a Java Error.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.hsqldb.cmdline.libclone.AppendableException

      `appendages, LS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlToolError()` |
    `SqlToolError​(java.lang.String s)` |
    `SqlToolError​(java.lang.String string, java.lang.Throwable cause)` |
    `SqlToolError​(java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.hsqldb.cmdline.libclone.AppendableException

      `appendMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlToolError

          public SqlToolError​(java.lang.Throwable cause)

    - #### SqlToolError

          public SqlToolError()

    - #### SqlToolError

          public SqlToolError​(java.lang.String s)

    - #### SqlToolError

          public SqlToolError​(java.lang.String string,
                              java.lang.Throwable cause)